Subject: [TLS] Opsdir telechat review of draft-ietf-tls-tls12-frozen-06
From: Jen Linkova via Datatracker <[email-masked]>
To: <[email-masked]>
Cc: [email-masked], [email-masked], [email-masked]
Date: Sat, 15 Mar 2025 23:37:11 -0700
List-Id: "This is the mailing list for the Transport Layer Security working group of the IETF." <tls.ietf.org>

Reviewer: Jen Linkova
Review result: Ready

The document is clearly written and easy to understand even by people who knows
very little about TLS (like this reviewer ;) I think the document has no
negative impact on deployments: quite the opposite, it might motivate people to
move to TLS1.3.

I think the document is ready. I do have a minor editorial comment, feel free
to address or ignore:

"Use of TLS 1.3 [TLS13] is growing, and it fixes most known deficiencies with
TLS 1.2 [TLS12], such as encrypting more of the traffic so that it is not
readable by outsiders and removing most cryptographic primitives now considered
weak"

I'm not a native speaker but I'm afraid this sentence may be read as
'encrypting more of the traffic' and 'removing primitives" are examples of
known deficiencies, not fixes. Maybe rephrase as '...it fixes most known
deficiencies with TLS 1.2 [TLS12]. In particular, TLS 1.3 encrypting more..."?